Subject: Re: bug#2932: call-interactively wrongly calls mouse-leave-buffer-hook

From: Juanma Barranquero <[email-masked]>
Date: Sun, 10 Jul 2011 02:00:41 +0200

On Wed, Apr 8, 2009 at 23:15, Alan Mackenzie <[email-masked]> wrote:

> In call-interactively (callint.c L~449), whilst processing `@' ("switch
> to the window the mouse was clicked in") in an interactive string, the
> code runs the hook `mouse-leave-buffer-hook'.
>
> The code HASN'T CHECKED that this new window is different from the
> current window, and even if it is, whether the new window is displaying
> a different buffer.  Hence the hook is wrongly invoked when the mouse is
> clicked in the current window.

The trunk still behaves as you describe.

As a first pass, we should fix the docstring of
`mouse-leave-buffer-hook'. It seems wrong for the docstring of a hook
with "leave-buffer" in its name to talk about windows and not say a
word about buffers...

    Juanma